﻿using System;
using InfluxDB.Client.Core;

namespace OutputServiceTSDB.Models
{
    [Measurement("result")]
    public class MeasurementObject
    {

        [Column("deviceid", IsTag = true)]
        public string DeviceID { get; set; }

        private double _probability;

        [Column("probability")]
        public double Probability
        {
            get => _probability;
            set
            {
                if (value > 1.0 || value < 0.0)
                    throw new ArgumentOutOfRangeException(
                   $"{nameof(value)} must be between 0 and 1.");
                else
                    _probability = value;
            }
        }

        [Column(IsTimestamp = true)] public DateTime Time;
    }
}